# Create

Launch stage: GA

`POST /api/2.0/mlflow/experiments/create`

Creates an experiment with a name. Returns the ID of the newly created experiment.
 Validates that another experiment with the same name does not already exist and fails
 if another experiment with the same name already exists.


 Throws `RESOURCE_ALREADY_EXISTS` if an experiment with the given name exists.
 Note: In some contexts, this error may be remapped to `ALREADY_EXISTS`.
 To be safe, clients should check for both error codes.

API scopes: mlflow

## Request body

- `name` (string, optional)
  Experiment name.
- `artifact_location` (string, optional)
  Location where all artifacts for the experiment are stored.
   If not provided, the remote server will select an appropriate default.
- `tags` (array of object, optional)
  A collection of tags to set on the experiment. Maximum tag size and number of tags per request
   depends on the storage backend. All storage backends are guaranteed to support tag keys up
   to 250 bytes in size and tag values up to 5000 bytes in size. All storage backends are also
   guaranteed to support up to 20 tags per request.
  - `key` (string, optional)
    The tag key.
  - `value` (string, optional)
    The tag value.

## Returns

- `experiment_id` (string, optional)
  Unique identifier for the experiment.

## Response

```json
{
  "experiment_id": "string"
}
```

